# {{classname}}

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetJob**](JobDetailsApi.md#GetJob) | **Get** /jobs/{id} | /jobs/{id}
[**GetJobNotifications**](JobDetailsApi.md#GetJobNotifications) | **Get** /jobs/{id}/notifications | /jobs/{id}/notifications
[**GetJobPreviews**](JobDetailsApi.md#GetJobPreviews) | **Get** /jobs/{id}/preview | /jobs/{id}/preview
[**GetJobRecipients**](JobDetailsApi.md#GetJobRecipients) | **Get** /jobs/{id}/recipients | /jobs/{id}/recipients
[**GetJobTemplates**](JobDetailsApi.md#GetJobTemplates) | **Get** /jobs/{id}/templates | /jobs/{id}/templates
[**PutJob**](JobDetailsApi.md#PutJob) | **Put** /jobs/{id} | /jobs/{id}

# **GetJob**
> Job GetJob(ctx, id)
/jobs/{id}

Description: Obtain information of a specific job

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **id** | **string**| Identification number (UUID) of the job | 

### Return type

[**Job**](Job.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetJobNotifications**
> Notifications GetJobNotifications(ctx, id)
/jobs/{id}/notifications

Description: To obtain a list of notifications to a specific job

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **id** | **string**| Identification number (UUID) of the job | 

### Return type

[**Notifications**](Notifications.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetJobPreviews**
> Preview GetJobPreviews(ctx, id)
/jobs/{id}/preview

Description: To obtain the preview pdf document of a specific job

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **id** | **string**| Identification number (UUID) of the job | 

### Return type

[**Preview**](Preview.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetJobRecipients**
> JobRecipients GetJobRecipients(ctx, id, optional)
/jobs/{id}/recipients

Description: Resource to obtain a list of recipients to a specific job

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **id** | **string**| Identification number (UUID) of the job | 
 **optional** | ***JobDetailsApiGetJobRecipientsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a JobDetailsApiGetJobRecipientsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **objectLimit** | **optional.Int32**| Query parameter to change de default limitation of objects in the result data array | [default to 100]
 **objectOffset** | **optional.Int32**| Query parameter to change de default offset of objects in the result data array | [default to 0]
 **filterFaxNumber** | **optional.String**| Query parameter to fetch recipients after his fax number | 
 **filterFaxNumberNorm** | **optional.String**| Query parameter to fetch recipients after his normed fax number | 
 **filterRecipientReference** | **optional.String**| Query parameter to fetch recipients after his recipient reference | 
 **filterInternationalDialingCode** | **optional.String**| Query parameter to fetch recipients after his international dialing code | 
 **filterResultCode** | **optional.String**| Query parameter to fetch recipients after his result code | 
 **filterResultText** | **optional.String**| Query parameter to fetch recipients after his result text | 
 **sortField** | **optional.String**| Available sort options for the result data array. | 
 **sortOrder** | **optional.String**| Describes the order for used sort fields | [default to asc]

### Return type

[**JobRecipients**](JobRecipients.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetJobTemplates**
> Templates GetJobTemplates(ctx, id)
/jobs/{id}/templates

Description: To obtain a list of template documents to a specific job

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **id** | **string**| Identification number (UUID) of the job | 

### Return type

[**Templates**](Templates.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **PutJob**
> Job PutJob(ctx, body, id)
/jobs/{id}

Description: Control the transmission of the specific job

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **body** | [**JobsIdBody**](JobsIdBody.md)| Describes the required request body to perform an action on the fax job | 
  **id** | **string**| Identification number (UUID) of the job | 

### Return type

[**Job**](Job.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

