# {{classname}}

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetRecipients**](RecipientsApi.md#GetRecipients) | **Get** /recipients | /recipients

# **GetRecipients**
> Recipients GetRecipients(ctx, optional)
/recipients

Description: To obtain a list of recipients

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
 **optional** | ***RecipientsApiGetRecipientsOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a RecipientsApiGetRecipientsOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **objectLimit** | **optional.Int32**| Query parameter to change de default limitation of objects in the result data array | [default to 100]
 **objectOffset** | **optional.Int32**| Query parameter to change de default offset of objects in the result data array | [default to 0]
 **filterJobId** | **optional.String**| Query parameter to fetch after recipient related to specific fax job | 
 **filterSameAccount** | **optional.Bool**| Query parameter to fetch recipient related to jobs linked to the used token/key for authorization | [default to false]
 **filterFaxNumber** | **optional.String**| Query parameter to fetch recipients after his fax number | 
 **filterFaxNumberNorm** | **optional.String**| Query parameter to fetch recipients after his normed fax number | 
 **filterRecipientReference** | **optional.String**| Query parameter to fetch recipients after his recipient reference | 
 **filterInternationalDialingCode** | **optional.String**| Query parameter to fetch recipients after his international dialing code | 
 **filterResultCode** | **optional.String**| Query parameter to fetch recipients after his result code | 
 **filterResultText** | **optional.String**| Query parameter to fetch recipients after his result text | 
 **sortField** | **optional.String**| Available sort options for the result data array. | 
 **sortOrder** | **optional.String**| Describes the order for used sort fields | [default to asc]

### Return type

[**Recipients**](Recipients.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

